Jump to content

Template:DGR Wiki's sister projects/styles.css: Difference between revisions

Taurussmith (talk | contribs)
m Protected "Template:DGR Wiki's sister projects/styles.css": Excessive vandalism ([Edit=Allow only administrators] (indefinite) [Move=Allow only administrators] (indefinite)) [cascading]
Taurussmith (talk | contribs)
m Set stable version settings for "Template:DGR Wiki's sister projects/styles.css": Excessive vandalism [Auto-review: requires "sysop" permission]
 
(No difference)

Latest revision as of 16:03, 16 August 2026

/* {{pp-template}} */
#sister-projects-list {
	display: flex;
	flex-wrap: wrap;
}

#sister-projects-list li {
	display: inline-block;
}

#sister-projects-list li span {
	font-weight: bold;
}

#sister-projects-list li > div {
	display: inline-block;
	vertical-align: middle;
	padding: 6px 4px;
}

#sister-projects-list li > div:first-child {
	text-align: center;
}

/* don't want to display this unless we're in dark mode and on screen */
.sister-projects-wikt-icon-dark {
	display: none;
}

@media screen {
	html.skin-theme-clientpref-night .sister-projects-wikt-icon-dark {
		display: inline;
	}
	
    html.skin-theme-clientpref-night .sister-projects-wikt-icon-light {
		display: none;
	}
}

@media screen and ( prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .sister-projects-wikt-icon-dark {
		display: inline;
	}
	
	html.skin-theme-clientpref-os .sister-projects-wikt-icon-light {
		display: none;
	}
}

@media (min-width: 360px) {
	#sister-projects-list li {
		width: 33%;
		min-width: 20em;
		white-space: nowrap;
		flex: 1 0 25%;
	}

	#sister-projects-list li > div:first-child {
		min-width: 50px;
	}
}